final class HourlyWorker extends Employee {

  // Constructors
  public HourlyWorker() { /* Default values for fields. */ }

  public HourlyWorker(String firstName, String lastName,
                      double hourlyRate, Gender gender) {
    super(firstName, lastName, hourlyRate, gender);
  }

  // Overrides method from the superclass Employee.
  public double computeSalary(double numOfWorkers) {
    assert numOfWorkers >= 0 : "Number of hours should be >= 0";
    return numOfWorkers * hourlyRate;
  }

  public String toString() {
    return super.toString() + "\nis paid by the hour.";
  }
}