
import static java.lang.System.out;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class ReadingFromTerminalWithScanner {

  public static void main(String[] args) {

    // A Scanner is connected to System.in, i.e. to the terminal.
    Scanner keyboard = new Scanner(System.in);

    // Read the name.
    String firstName;
    String lastName;
    String name;
    String answer;
    do {
      System.out.print("Type first name: ");
      firstName = keyboard.next();
      keyboard.nextLine();  // empty current line for input.
      System.out.print("Type last name: ");
      lastName = keyboard.next();
      keyboard.nextLine();
      name = lastName + " " + firstName;
      System.out.println("Name: " + name);
      System.out.print("Continue? (y/n): ");
      answer = keyboard.next();
    } while (answer.equals("y"));

    // Read a list of integers.
    List<Integer> intList = new ArrayList<Integer>();
    out.println("Type a list of integers," +
                " terminate with a non-integer value:");
    while(keyboard.hasNextInt()) {
      int i = keyboard.nextInt();
      intList.add(i);
    }
    for (int i : intList)
      out.println(i);

    // Close the scanner.
    keyboard.close();
  }
}