import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

class Writing {

  public static void main(String[] args) throws IOException {
    PrintWriter textWriter = openFileForWrite("preciousData.txt");
    writeToFile(textWriter);
    closeWriteFile(textWriter);
  }

  static PrintWriter openFileForWrite(String dataFileName)
                     throws IOException {
    FileWriter textFileWriter = new FileWriter(dataFileName);
    PrintWriter textWriter = new PrintWriter(textFileWriter);
    return textWriter;
  }

  static void writeToFile(PrintWriter textWriter) {
    textWriter.println("File or not to file.");
  }

  static void closeWriteFile(PrintWriter textWriter) {
    textWriter.close();
  }
}